<ion-header>
  <ion-toolbar>
    <ion-buttons slot='start'>
      <ion-back-button defaultHref='tabs/profile'></ion-back-button>
    </ion-buttons>
    <ion-title>{{ 'profilo.domicilio' | translate }}</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content fullscreen='true'>
  <ion-header collapse='condense'>
    <ion-toolbar class='custom-toolbar'>
      <ion-title size='large' color='dark'>
        <div class="toolbar-title">
          {{ 'profilo.domicilio' | translate }}
          <span class='float-end'>
          <ion-icon name="create-outline" (click)='edit()'></ion-icon>
          </span>
        </div>
      </ion-title>
    </ion-toolbar>
  </ion-header>
  <ion-list lines='full' class='ion-padding-horizontal' *ngIf='user'>
    <form [formGroup]="profileForm" (ngSubmit)="submitForm()" novalidate>
    <ion-item detail='false' >
      <ion-label class="ion-text-wrap">
        <ion-text color="dark">
          <h2>{{ 'profilo.indirizzo' | translate }}</h2>
        </ion-text>
        <p *ngIf='!enableEdit'>{{user.indirizzo_domicilio}}</p>
        <ion-input  inputmode="text" formControlName="indirizzo_domicilio"
                    type="text" *ngIf='enableEdit' ></ion-input>
      </ion-label>
    </ion-item>
    <ion-item detail='false' >
      <ion-label class="ion-text-wrap">
        <ion-text color="dark">
          <h2>{{ 'profilo.cap' | translate }}</h2>
        </ion-text>
        <p *ngIf='!enableEdit'>{{user.cap_domicilio}}</p>
        <ion-input  inputmode="numeric" formControlName="cap_domicilio"
                    type="text" *ngIf='enableEdit' ></ion-input>
      </ion-label>
    </ion-item>
    <ion-item detail='false' >
      <ion-label class="ion-text-wrap">
        <ion-text color="dark">
          <h2>{{ 'profilo.citta' | translate }}</h2>
        </ion-text>
        <p *ngIf='!enableEdit'>{{user.citta_domicilio}}</p>
        <ion-input  inputmode="text" formControlName="citta_domicilio"
                    type="text" *ngIf='enableEdit' ></ion-input>
      </ion-label>
    </ion-item>
    <ion-item detail='false' >
      <ion-label class="ion-text-wrap">
        <ion-text color="dark">
          <h2>{{ 'profilo.provincia' | translate }}</h2>
        </ion-text>
        <p *ngIf='!enableEdit'>{{user.provincia_domicilio}}</p>
        <ion-input  inputmode="text" formControlName="provincia_domicilio"
                    type="text" *ngIf='enableEdit' ></ion-input>
      </ion-label>
    </ion-item>
    <ion-item detail='false' >
      <ion-label class="ion-text-wrap">
        <ion-text color="dark">
          <h2>{{ 'profilo.stato' | translate }}</h2>
        </ion-text>
        <p *ngIf='!enableEdit'>{{user.stato_domicilio}}</p>
        <ion-input  inputmode="text" formControlName="stato_domicilio"
                    type="text" *ngIf='enableEdit' ></ion-input>
      </ion-label>
    </ion-item>
    </form>
  </ion-list>
</ion-content>
<ion-footer *ngIf='user && enableEdit'>
  <ion-row>
    <ion-col class='ion-padding'>
      <ion-button class='ion-no-margin' expand='block' size='large' fill='outline' color="primary"
                  (click)='onSubmit()'>
        {{ 'profilo.modifica_domicilio' | translate }}
      </ion-button>
    </ion-col>
  </ion-row>
</ion-footer>
